Package twisted :: Package im :: Module ircsupport :: Class IRCAccount

[show private | hide private]
[frames | no frames]

## Class IRCAccount

    AbstractAccount --+
                      |
                     IRCAccount

Method Summary
| `__init__(self, accountName, autoLogin, username, password, host, port, channels)`
| `__getstate__(self)` (inherited from `AbstractAccount`)
| `__setstate__(self, d)` (inherited from `AbstractAccount`)
| `isOnline(self)` (inherited from `AbstractAccount`)
Deferred `interfaces.IClient` | ``logOn`(self, chatui)` Log on to this account. (inherited from `AbstractAccount`)
| ``_loginFailed`(self, reason)` Errorback for `logOn`. (inherited from `AbstractAccount`)
Deferred `interfaces.IClient` | ``_startLogOn`(self, chatui)` Start the sign on process.

Class Variable Summary
`string` | `gatewayType`

Method Details

### _startLogOn(self, chatui)

Start the sign on process.

Factored out of `logOn`.

  Returns:
    Deferred `interfaces.IClient`
  Overrides:
    `twisted.im.basesupport.AbstractAccount._startLogOn` (inherited documentation)

Class Variable Details

### gatewayType

  Type:
    `string`
  Value:

        'IRC'

Generated by Epydoc 1.1 on Sat Feb 15 21:19:02 2003 | http://epydoc.sf.net